package com.kingdee.eas.custom.bd.param;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ParamCollection extends AbstractObjectCollection 
{
    public ParamCollection()
    {
        super(ParamInfo.class);
    }
    public boolean add(ParamInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ParamCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ParamInfo item)
    {
        return removeObject(item);
    }
    public ParamInfo get(int index)
    {
        return(ParamInfo)getObject(index);
    }
    public ParamInfo get(Object key)
    {
        return(ParamInfo)getObject(key);
    }
    public void set(int index, ParamInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ParamInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ParamInfo item)
    {
        return super.indexOf(item);
    }
}